package com.dayou.service;
import com.dayou.entity.ItemBrokerageTechnicist;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.DeductionTechItemVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;
/**
 * <p>
 * 技术人员项目提成总表 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-06-06
 */
public interface IItemBrokerageTechnicistService extends IService<ItemBrokerageTechnicist> {

        Page<DeductionTechItemVO> selectPage(Page page, DeductionTechItemVO deductionTechItemVO);

        ItemBrokerageTechnicist detail(Long id);

        Boolean add(ItemBrokerageTechnicist itemBrokerageTechnicist);

        Boolean update(ItemBrokerageTechnicist itemBrokerageTechnicist);

        Boolean delete(Long id);

        Page<DeductionTechItemVO> oncePage(Page page, DeductionTechItemVO deductionTechItemVO);
}
